package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DepartmentInsertReq {

    @ApiModelProperty(value = "权限名称")
    //@NotEmpty(message = "权限名称不能为空")
    private String name;

    @ApiModelProperty(value = "父id")
    //@NotNull(message = "父id不能为空")
    private Long parentId;

    @ApiModelProperty(value = "排序")
    //@NotNull(message = "排序不能为空")
    private Integer sort;

}
