package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class RoleInsertReq {

    @ApiModelProperty(value = "角色名称")
    //@NotEmpty(message = "角色名称不能为空")
    private String name;
}
