package com.migao.entity.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DocumentSharingQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "文档编码")
    private String documentCode;

    @ApiModelProperty(value = "文档名称")
    private String documentName;

    @ApiModelProperty(value = "项目类别")
    private String projectType;

    @ApiModelProperty(value = "项目阶段")
    private String projectPhase;

    @ApiModelProperty(value = "文档格式")
    private String documentFormat;

    @ApiModelProperty(value = "必须项目类型")
    private String mustProjectType;

    @ApiModelProperty(value = "提交人")
    private String submitter;

    @ApiModelProperty(value = "逻辑删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "附件基本信息")
    DemandAttachmentRes demandAttachmentRes = new DemandAttachmentRes();
}
