package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.ProjectType;
import com.migao.entity.vo.req.ProjectTypeInsertReq;
import com.migao.entity.vo.req.ProjectTypePageQueryReq;
import com.migao.entity.vo.req.ProjectTypeUpdateReq;
import com.migao.entity.vo.res.ProjectTypeQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface ProjectTypeService  {
    ResponseBean<?> insert(ProjectTypeInsertReq projectTypeInsertReq);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> update(ProjectTypeUpdateReq projectTypeUpdateReq);

    ResponseBean<PageBean<ProjectTypeQueryRes>> pageQuery(ProjectTypePageQueryReq projectTypePageQueryReq);

    ResponseBean<?> findById(Integer id);
}
