package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.ProjectField;
import com.migao.entity.vo.req.ProjecfieldInsertReq;
import com.migao.entity.vo.req.ProjecfieldPageQueryReq;
import com.migao.entity.vo.req.ProjecfieldUpdateReq;
import com.migao.entity.vo.res.ProjecfieldQueryRes;
import com.migao.mapper.ProjectFieldMapper;
import com.migao.service.ProjectFieldService;
import com.migao.util.EntityUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author dingsong
 */
@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class ProjectFieldServiceImpl extends ServiceImpl<ProjectFieldMapper, ProjectField> implements ProjectFieldService {
    @Resource
    private ProjectFieldMapper projectFieldMapper;

    @Override
    public ResponseBean<?> findById(Integer id) {
        return null;
    }

    @Override
    public ResponseBean<PageBean<ProjecfieldQueryRes>> pageQuery(ProjecfieldPageQueryReq projecfieldPageQueryReq) {
        return null;
    }

    @Override
    public ResponseBean<?> update(ProjecfieldUpdateReq projecfieldUpdateReq) {
        return null;
    }

    @Override
    public ResponseBean<?> deleteBatch(List<Integer> ids) {
        return null;
    }

    @Override
    public ResponseBean<?> deleteById(Integer id) {
        return null;
    }

    @Override
    public ResponseBean<?> insert(ProjecfieldInsertReq projecfieldInsertReq) {
        ProjectField projectField = EntityUtils.copyProperties(projecfieldInsertReq, ProjectField.class);
        projectFieldMapper.insert(projectField);
        return ResponseBuilder.ok();
    }
}
