package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class PurchasingApprovalQueryReq {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
    @ApiModelProperty(value = "父id")
    private Long parentId;
    @ApiModelProperty(value = "采购阶段")
    private String stage;
    @ApiModelProperty(value = "完成状态")
    private String status;

}
