package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Dictionary;
import com.migao.entity.vo.req.DictionaryInsertReq;
import com.migao.entity.vo.req.DictionaryPageQueryReq;
import com.migao.entity.vo.req.DictionaryUpdateReq;
import com.migao.entity.vo.res.DictionaryQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface DictionaryService{
    ResponseBean<?> insert(DictionaryInsertReq dictionaryInsertReq);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> update(DictionaryUpdateReq dictionaryUpdateReq);

    ResponseBean<PageBean<DictionaryQueryRes>> pageQuery(DictionaryPageQueryReq dictionaryPageQueryReq);

    ResponseBean<?> findById(Integer id);
}
