package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Role;
import com.migao.entity.vo.req.RoleInsertReq;
import com.migao.entity.vo.req.RolePageQueryReq;
import com.migao.entity.vo.req.RoleUpdateReq;
import com.migao.entity.vo.res.RoleQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface RoleService  {
    ResponseBean<PageBean<RoleQueryRes>> pageQuery(RolePageQueryReq rolePageQueryReq);

    ResponseBean<?> update(RoleUpdateReq roleUpdateReq);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> findById(Integer id);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> insert(RoleInsertReq roleInsertReq);
}
