package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.Dictionary;
import com.migao.entity.vo.req.DictionaryInsertReq;
import com.migao.entity.vo.req.DictionaryPageQueryReq;
import com.migao.entity.vo.req.DictionaryUpdateReq;
import com.migao.entity.vo.res.DictionaryQueryRes;
import com.migao.mapper.DictionaryMapper;
import com.migao.service.DictionaryService;
import com.migao.util.EntityUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author dingsong
 */
@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class DictionaryServiceImpl extends ServiceImpl<DictionaryMapper, Dictionary> implements DictionaryService {

   @Resource
   private DictionaryMapper dictionaryMapper;
    @Override
    public ResponseBean<?> insert(DictionaryInsertReq dictionaryInsertReq) {
        Dictionary dictionary = EntityUtils.copyProperties(dictionaryInsertReq, Dictionary.class);
        if (dictionaryInsertReq.getParentId()==null){
            dictionary.setParentId(0);
        }
        dictionaryMapper.insert(dictionary);
        return ResponseBuilder.ok();
    }

    @Override
    public ResponseBean<?> deleteById(Integer id) {
        return null;
    }

    @Override
    public ResponseBean<?> deleteBatch(List<Integer> ids) {
        return null;
    }

    @Override
    public ResponseBean<?> update(DictionaryUpdateReq dictionaryUpdateReq) {
        return null;
    }

    @Override
    public ResponseBean<PageBean<DictionaryQueryRes>> pageQuery(DictionaryPageQueryReq dictionaryPageQueryReq) {
        return null;
    }

    @Override
    public ResponseBean<?> findById(Integer id) {
        return null;
    }
}
